"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.start = void 0;
const PNG = require("pngjs").PNG;
const pupetter = require("puppeteer");
const simple_git_1 = require("simple-git");
const pixelmatch = require("pixelmatch");
/**
 */
const start = (cwd) => __awaiter(void 0, void 0, void 0, function* () {
    const browser = yield pupetter.launch();
    const _git = (0, simple_git_1.default)(cwd);
    return {
        browser,
        git: _git,
        cwd,
        gitDir: yield _git.revparse([`--show-toplevel`]),
        close() {
            browser.close();
        }
    };
});
exports.start = start;
